# -*- coding: utf-8 -*-

from __future__ import print_function, unicode_literals, absolute_import

import os

from common import GnuPGNotFound, which
from thunderbird import enigmail_agentPath

__all__ = ('gpg_executable', 'thunderbird_base', 'per_user_directory', 'GnuPGNotFound', 'which')


def gpg_executable(thunderbird_base):
    enigmail_gpg = enigmail_agentPath(thunderbird_base)
    gpg = enigmail_gpg if enigmail_gpg else which('gpg.exe')
    if not gpg:
        raise GnuPGNotFound()
    else:
        return gpg


thunderbird_base = os.path.join(os.environ['APPDATA'], 'Thunderbird')

per_user_directory = os.path.join(os.environ['LOCALAPPDATA'], 'pEp')
